#!/usr/bin/perl -w
use DBI;
use CGI;
use Constants;
use Status;
use strict;

# CGI stuff
my $cgi = new CGI;

# Constants of the DB
my $dbconsts = Constants->new();
my %consts   = $dbconsts->constants();

# Connect to database
my $dsn = "DBI:mysql:host=localhost;database=${consts{database}}";
my $db = DBI->connect( $dsn, $consts{user}, $consts{password} )
  or die DBI->errstr;

my $status = Status->new( $consts{database}, $db, $consts{statustable} );
my $selectQuery = "
SELECT DISTINCT router FROM "
  . $status->database() . "."
  . $status->table()
  . " ORDER BY router";
my $cvar = $status->db()->prepare($selectQuery);
$cvar->execute();

print $cgi->header;
print "<form action=\"st_report.cgi\" method=\"POST\">";
print "Routers:</br>\n";
print "<select name=\"hostname\">\n";
print "<option value=%>all</option>\n";
while ( my $namesList = $cvar->fetchrow_array() ) {
    print "<option>$namesList</option>\n";
}
print "</select></br></br>\n";
print "Initial Date:</br>\n";
print "<select name=\"i_day\">\n";
for ( my $day = 1 ; $day <= 31 ; $day++ ) {
    print "<option>$day</option>\n";
}
print "</select>\n";
print "<select name=\"i_month\">\n";
for ( my $month = 1 ; $month <= 12 ; $month++ ) {
    print "<option>$month</option>\n";
}
print "</select>\n";
print "<select name=\"i_year\">\n";
for ( my $year = 2009 ; $year < 2050 ; $year++ ) {
    print "<option>$year</option>\n";
}
print "</select></br>\n";
print "Final Date:</br>\n";
print "<select name=\"f_day\">\n";
for ( my $day = 1 ; $day <= 31 ; $day++ ) {
    print "<option>$day</option>\n";
}
print "</select>\n";
print "<select name=\"f_month\">\n";
for ( my $month = 1 ; $month <= 12 ; $month++ ) {
    print "<option>$month</option>\n";
}
print "</select>\n";
print "<select name=\"f_year\">\n";
for ( my $year = 2009 ; $year < 2050 ; $year++ ) {
    print "<option>$year</option>\n";
}
print "</select></br></br>\n";

print "Interval:\n";
print "<select name=\"interval\">\n";
print "<option>Daily</option>\n";
print "<option>Monthly</option>\n";
print "<option>Yearly</option>\n";
print "</select></br></br>\n";

print "<input type=\"submit\" value=\"Submit\">\n";
print "</form>\n";

exit;
