#!/bin/bash

# Debian packages required
have_perl=`aptitude search '~i ^perl$' | wc -l`
install_perl=`aptitude install perl`
have_mysql=`aptitude search '~i ^mysql-common$' | wc -l`
install_mysql=`aptitude install mysql`
have_apache=`aptitude search '~i ^apache2$' | wc -l`
install_apache=`aptitude install apache2`
have_gnuplot=`aptitude search '~i ^gnuplot$' | wc -l`
install_gnuplot=`aptitude install gnuplot`

# Perl modules required
have_dbi=`perl -MDBI -e 1 | wc -l`
install_dbi=`perl -MCPAN -e 'install DBI'`
have_netip=`perl -MNet::IP -e 1 | wc -l`
install_netip=`perl -MCPAN -e 'install Net::IP'`
have_syshostname=`perl -MSys::Hostname -e 1 | wc -l`
install_syshostname=`perl -MCPAN -e 'install Sys::Hostname'`
have_cgi=`perl -MCGI -e 1 | wc -l`
install_cgi=`perl -MCPAN -e 'install CGI'`

echo "Installing essential Packages."
if [ $have_perl != 1 ]
then
	echo "-> Please, install the Perl package."
	$install_perl	
else
	echo "-> Perl is already installed on the machine."
fi
if [ $have_mysql != 1 ]
then
	echo "-> Please, install the MySQL package."
	$install_mysql
else
	echo "-> MySQL is already installed on the machine."
fi
if [ $have_apache != 1 ]
then
        echo "-> Please, install the Apache 2 package."
        $install_apache
else
        echo "-> Apache 2 is already installed on the machine."
fi
if [ $have_gnuplot != 1 ]
then
        echo "-> Please, install the Gnuplot package."
        $install_gnuplot
else
        echo "-> Gnuplot is already installed on the machine."
fi

echo "Installing necessary Perl's modules."
if [ $have_dbi != 0 ]
then
	$install_dbi
else
	echo "-> DBI module is already installed."
fi
if [ $have_netip != 0 ]
then
	$install_netip
else
	echo "-> Net::IP module is already installed."
fi
if [ $have_syshostname != 0 ]
then
	$install_syshostname
else
	echo "-> Sys::Hostname module is already installed."
fi
if [ $have_cgi != 0 ]
then
	$install_cgi
else
	echo "-> CGI module is already installed."
fi

